curl "https://api.northaxiumdata.ca/api/v1/politicians?party=Liberal&limit=10&offset=0" \
-H "X-API-Key: <your-api-key>"
import requests
url = "https://api.northaxiumdata.ca/api/v1/politicians"
headers = {"X-API-Key": "<your-api-key>"}
params = {
"party": "Liberal",
"limit": 10,
"offset": 0
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const fetch = require('node-fetch');
const url = new URL('https://api.northaxiumdata.ca/api/v1/politicians');
url.search = new URLSearchParams({
party: 'Liberal',
limit: '10',
offset: '0'
});
fetch(url, {
headers: {
'X-API-Key': '<your-api-key>'
}
})
.then(res => res.json())
.then(json => console.log(json));
{
"data": [
{
"id": 883,
"name": "Jane Smith",
"slug": "jane-smith",
"current_party": "Liberal",
"current_riding": "Vancouver Centre",
"province": "BC"
}
],
"meta": {
"total": 343,
"limit": 10,
"offset": 0
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "current must be a valid boolean."
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing API key. Pass your key in the X-API-Key header."
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Monthly request limit exceeded."
}
}
Politicians
MPs & Senators
Retrieve a list of Members of Parliament and Senators.
GET
/
api
/
v1
/
politicians
curl "https://api.northaxiumdata.ca/api/v1/politicians?party=Liberal&limit=10&offset=0" \
-H "X-API-Key: <your-api-key>"
import requests
url = "https://api.northaxiumdata.ca/api/v1/politicians"
headers = {"X-API-Key": "<your-api-key>"}
params = {
"party": "Liberal",
"limit": 10,
"offset": 0
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const fetch = require('node-fetch');
const url = new URL('https://api.northaxiumdata.ca/api/v1/politicians');
url.search = new URLSearchParams({
party: 'Liberal',
limit: '10',
offset: '0'
});
fetch(url, {
headers: {
'X-API-Key': '<your-api-key>'
}
})
.then(res => res.json())
.then(json => console.log(json));
{
"data": [
{
"id": 883,
"name": "Jane Smith",
"slug": "jane-smith",
"current_party": "Liberal",
"current_riding": "Vancouver Centre",
"province": "BC"
}
],
"meta": {
"total": 343,
"limit": 10,
"offset": 0
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "current must be a valid boolean."
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing API key. Pass your key in the X-API-Key header."
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Monthly request limit exceeded."
}
}
Get a standardized list of active and historical federal politicians, their party affiliations, ridings, and roles.
Query Parameters
string
Partial match on politician name. Example:
carbon tax.string
Partial match on political party. Example:
Liberal.string
Filter by province or territory represented. Example:
ON.boolean
Defaults to
true; set false to include historical politicians. Example: true.integer
Results per page. Default:
50. Max: 200. Example: 25.integer
Result offset for pagination. Default:
0. Example: 50.page and per_page are accepted as input aliases. per_page maps to limit, and page is converted internally into the corresponding offset.curl "https://api.northaxiumdata.ca/api/v1/politicians?party=Liberal&limit=10&offset=0" \
-H "X-API-Key: <your-api-key>"
import requests
url = "https://api.northaxiumdata.ca/api/v1/politicians"
headers = {"X-API-Key": "<your-api-key>"}
params = {
"party": "Liberal",
"limit": 10,
"offset": 0
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const fetch = require('node-fetch');
const url = new URL('https://api.northaxiumdata.ca/api/v1/politicians');
url.search = new URLSearchParams({
party: 'Liberal',
limit: '10',
offset: '0'
});
fetch(url, {
headers: {
'X-API-Key': '<your-api-key>'
}
})
.then(res => res.json())
.then(json => console.log(json));
{
"data": [
{
"id": 883,
"name": "Jane Smith",
"slug": "jane-smith",
"current_party": "Liberal",
"current_riding": "Vancouver Centre",
"province": "BC"
}
],
"meta": {
"total": 343,
"limit": 10,
"offset": 0
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "current must be a valid boolean."
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing API key. Pass your key in the X-API-Key header."
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Monthly request limit exceeded."
}
}